#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h> 

#define PORTNUM	   0x5005
#define BUFFSIZE   256
#define SERVERIP   "192.168.1.128"

int main()
{
    int sockfd;
    struct sockaddr_in serv_addr;
    char buffer[BUFFSIZE];

    if((sockfd = socket(AF_INET, SOCK_STREAM, 0))== -1){
        error("ERROR opening socket");
	exit(1);
    }

    serv_addr.sin_family = AF_INET;
    serv_addr.sin_port = htons(PORTNUM);
    serv_addr.sin_addr.s_addr = inet_addr(SERVERIP);

    if(connect(sockfd, (struct sockaddr *)&serv_addr, sizeof(serv_addr))== -1){ 
        error("ERROR connecting");
	exit(1);
    }

    printf("Please enter the message: ");
    bzero(buffer, BUFFSIZE);
    fgets(buffer,BUFFSIZE,stdin);

    if(write(sockfd,buffer,strlen(buffer))== -1){
        error("ERROR writing to socket");
	exit(1);
    }

    bzero(buffer,BUFFSIZE);
    if(read(sockfd,buffer, BUFFSIZE)== -1){
        error("ERROR reading from socket");
	exit(1);
    }    
    printf("%s\n",buffer);
    close(sockfd);
}
