#include <stdio.h>
#include <sys/types.h> 
#include <sys/socket.h>
#include <netinet/in.h>

#define PORTNUM	0x5005
#define BUFFSIZE 256

int main()
{
     int sockfd, newsockfd, clilen;
     char buffer[BUFFSIZE];
     struct sockaddr_in serv_addr, cli_addr;
     
     if((sockfd = socket(AF_INET, SOCK_STREAM, 0))== -1) {
     	perror("ERROR opening socket");
	exit(1);
     }	
     
     bzero((char *) &serv_addr, sizeof(serv_addr));
     
     serv_addr.sin_family = AF_INET;
     serv_addr.sin_addr.s_addr = INADDR_ANY;
     serv_addr.sin_port = htons(PORTNUM);
     
     if (bind(sockfd, (struct sockaddr *) &serv_addr, sizeof(serv_addr))== -1){ 
        error("ERROR on binding");
	exit(1);
     }

     listen(sockfd,5);

     clilen = sizeof(cli_addr);

     if((newsockfd = accept(sockfd, (struct sockaddr *) &cli_addr, &clilen))== -1){
        error("ERROR on accept");
	exit(1);
     }

     bzero(buffer, BUFFSIZE);

     if((read(newsockfd,buffer, BUFFSIZE))== -1){
        error("ERROR reading from socket");
	exit(1);
     }
     printf("The message from client:\n %s\n",buffer);

     if((write(newsockfd,"The confirmation from server",28))== -1){
        error("ERROR writing to socket");
	exit(1);
     }	
     close(sockfd); close(newsockfd);
}
